server:
  port: 8094
  servlet:
    context-path: /seer/mall

spring:
  application:
    name: seer-mall
  profiles:
    active: dev
  main:
    allow-bean-definition-overriding: true
    allow-circular-references: true
  flyway:
    enabled: true
    locations: classpath:db/mysql
    baseline-on-migrate: true
    clean-disable: true
    table: flyway_schema_history_mall
  config:
    import:
      - optional:nacos:${spring.application.name}-${spring.profiles.active}.yaml
      - optional:nacos:shared-database.yaml
      - optional:nacos:shared-redis.yaml
      - optional:nacos:shared-sa-token.yaml
      - optional:nacos:shared-minio.yaml
  cloud:
    nacos:
      discovery:
        server-addr: 192.168.0.39:8848  # 配置中心地址
        group: DEFAULT_GROUP         # 分组（默认DEFAULT_GROUP）
        namespace: ${spring.profiles.active}
      config:
        server-addr: 192.168.0.39:8848  # 配置中心地址
        file-extension: yaml         # 配置文件后缀（yaml/properties）
        namespace: ${spring.profiles.active}
    loadbalancer:
      enabled: true
#日志
logging:
  config: classpath:logback-${spring.profiles.active}.xml


rocketmq:
  name-server: 192.168.0.39:9876
  producer:
    group: ${spring.profiles.active:dev}

mall:
  order:
    delay:
      # 是否启用延迟消息处理订单过期
      enabled: false
      # 延迟级别 (1=1s, 2=5s, 3=10s, 4=30s, 5=1m, 6=2m, 7=3m, 8=4m, 9=5m, 10=6m, 11=7m, 12=8m, 13=9m, 14=10m, 15=20m, 16=30m, 17=1h, 18=2h)
      level: 16  # 30分钟延迟

### XXL-JOB 配置
xxl:
  job:
    enabled: true
    admin:
      ### 调度中心部署跟地址 [选填]：如调度中心集群部署存在多个地址则用逗号分隔。
      addresses: http://192.168.0.45:8080/xxl-job-admin
    ### 执行器通讯TOKEN [选填]：非空时启用
    access-token: default_token
    executor:
      ### 执行器AppName [选填]：执行器心跳注册分组依据；如果不配置则关闭自动注册
      app-name: seer-mall-${spring.profiles.active}
      ### 执行器注册 [选填]：优先使用该配置作为注册地址，为空时使用内嵌服务 ”IP:PORT“ 作为注册地址
      address:
      ### 执行器IP [选填]：默认为空表示自动获取IP，多网卡时可手动设置指定IP
      ip:
      ### 执行器端口号 [选填]：小于等于0则自动获取；默认端口为9999，单机部署多个执行器时，注意要配置不同执行器端口
      port: 0
      ### 执行器运行日志文件存储磁盘路径 [选填] ：需要对该路径拥有读写权限；为空则使用默认路径
      log-path: /app/java/seer-mall/logs/xxl-job
      ### 执行器日志文件保存天数 [选填] ： 过期日志自动清理, 限制值大于等于3时生效; 否则, 如-1, 关闭自动清理功能
      log-retention-days: 30